#!/bin/bash

# try connect to mysql/mariadb without password
sql_cmd="mysql"
[ -f "/usr/bin/mariadb" ] && sql_cmd="mariadb"
if [ "`$sql_cmd -u root mysql -Bse 'show databases' | grep information_schema`" == "information_schema" ]; then
    sql_password=""
else
    echo 'Login as root (MariaDB/MySQL)'
    read -s -p "Password: " sql_password
    echo
fi
if [ -z "$sql_password" ]; then
    sql_cmd="$sql_cmd -u root"
else
    sql_cmd="$sql_cmd -u root -p"$sql_password""
fi
