#!/bin/bash

DB_DIR=`cd "$(dirname "${BASH_SOURCE[0]}")" && pwd`
. "$DB_DIR/vars.sh"

[ -z "$sql_cmd" ] && . "$DB_DIR/database_logon.sh"
echo -n 'Init exercises in OTaMan database ... '

"$BINDIR/DBConsoleTool" insert_exercise localhost OTaMan root "$sql_password" "$DB_DIR/exercises"
if [ $? -eq 0 ]; then
    echo Done
else
    echo ERROR
fi
