@echo off

pushd "%~dp0.."
set PROJECT_DIR=%CD%
popd

set CPU_ARCH=x86_64
set CPU_BITS=64
if "%PROCESSOR_ARCHITECTURE%" == "x86" if not defined PROCESSOR_ARCHITEW6432 (
	set CPU_ARCH=i386
	set CPU_BITS=32
)
set OS_ARCH=%CPU_ARCH%-win%CPU_BITS%
if exist "%PROJECT_DIR%\bin" (
	set BINDIR=%PROJECT_DIR%\bin\%OS_ARCH%
) else (
	set BINDIR=%PROJECT_DIR%
)
