#!/bin/bash

DB_DIR=`cd "$(dirname "${BASH_SOURCE[0]}")" && pwd`

cat "$DB_DIR/sql/database/OTaMan.sql"

# table
cat "$DB_DIR/sql/table/Branch.sql"
cat "$DB_DIR/sql/table/Unit.sql"
cat "$DB_DIR/sql/table/SubUnitType.sql"
cat "$DB_DIR/sql/table/SubUnit.sql"
cat "$DB_DIR/sql/table/Rank.sql"
cat "$DB_DIR/sql/table/Soldier.sql"
cat "$DB_DIR/sql/table/WeaponType.sql"
cat "$DB_DIR/sql/table/Staff.sql"
cat "$DB_DIR/sql/table/Commander.sql"
cat "$DB_DIR/sql/table/HeadShooting.sql"
cat "$DB_DIR/sql/table/Operator.sql"
cat "$DB_DIR/sql/table/Exercise.sql"
cat "$DB_DIR/sql/table/TargetPurpose.sql"
cat "$DB_DIR/sql/table/Link.sql"
cat "$DB_DIR/sql/table/Template.sql"
cat "$DB_DIR/sql/table/Session.sql"
cat "$DB_DIR/sql/table/Result.sql"
cat "$DB_DIR/sql/table/City.sql"
cat "$DB_DIR/sql/table/SchemaVersion.sql"

# view
cat "$DB_DIR/sql/view/ViewUnit.sql"
cat "$DB_DIR/sql/view/ViewSubUnitType.sql"
cat "$DB_DIR/sql/view/ViewCommander.sql"
cat "$DB_DIR/sql/view/ViewStaff.sql"
cat "$DB_DIR/sql/view/ViewPrivateStaff.sql"
cat "$DB_DIR/sql/view/ViewWeaponType.sql"
cat "$DB_DIR/sql/view/ViewResult.sql"
cat "$DB_DIR/sql/view/ViewSession.sql"
cat "$DB_DIR/sql/view/ViewSchemaVersion.sql"

# tabledata
cat "$DB_DIR/sql/tabledata/Branch.sql"
cat "$DB_DIR/sql/tabledata/SubUnitType.sql"
cat "$DB_DIR/sql/tabledata/Rank.sql"
cat "$DB_DIR/sql/tabledata/WeaponType.sql"
cat "$DB_DIR/sql/tabledata/City.sql"
cat "$DB_DIR/sql/tabledata/SchemaVersion.sql"

# demodata
cat "$DB_DIR/sql/demodata/Unit.sql"
cat "$DB_DIR/sql/demodata/SubUnit.sql"
cat "$DB_DIR/sql/demodata/Soldier.sql"
cat "$DB_DIR/sql/demodata/Staff.sql"
cat "$DB_DIR/sql/demodata/Commander.sql"
cat "$DB_DIR/sql/demodata/HeadShooting.sql"
cat "$DB_DIR/sql/demodata/Operator.sql"
cat "$DB_DIR/sql/demodata/TargetPurpose.sql"
