set names 'utf8' collate 'utf8_general_ci';

/*!40000 ALTER TABLE City DISABLE KEYS */;
LOCK TABLES City WRITE;
INSERT INTO City (`Name`, `LatitudeDegree`, `LatitudeMinute`, `LongitudeDegree`, `LongitudeMinute`) VALUES
  ('Алушта',			44, 38,	34, 33),
  ('Біла Церква',		49, 46,	30, 17),
  ('Бердичів',			49, 54,	28, 49),
  ('Бердянськ',			46, 49,	36, 58),
  ('Вінниця',			49, 15,	28, 41),
  ('Джанкой',			45, 40,	34, 29),
  ('Кам''янське',		48, 28,	34, 47),
  ('Дніпро',			48, 31,	35, 08),
  ('Донецьк',			48, 03,	37, 47),
  ('Житомир',			50, 18,	28, 49),
  ('Жмеринка',			49, 04,	28, 12),
  ('Запоріжжя',			47, 53,	35, 23),
  ('Євпаторія',			45, 11,	33, 28),
  ('Івано-Франківськ',		48, 56,	24, 53),
  ('Кам''янець-Подільський',	48, 43,	26, 45),
  ('Керч',			45, 20,	36, 38),
  ('Київ',			50, 27,	30, 30),
  ('Кропивницький',		48, 31,	32, 21),
  ('Кременчук',			49, 07,	33, 35),
  ('Кривий Ріг',		47, 54,	33, 33),
  ('Луганськ',			48, 36,	39, 22),
  ('Луцьк',			50, 49,	25, 26),
  ('Львів',			49, 53,	24, 16),
  ('Маріуполь',			47, 07,	37, 40),
  ('Мелітополь',		46, 53,	35, 25),
  ('Миколаїв',			46, 58,	32, 12),
  ('Мукачеве',			48, 26,	22, 45),
  ('Нікополь',			47, 37,	34, 30),
  ('Одеса',			46, 29,	30, 44),
  ('Павлоград',			48, 33,	35, 57),
  ('Полтава',			49, 37,	34, 37),
  ('Рівне',			50, 39,	26, 26),
  ('Самбір',			49, 33,	23, 23),
  ('Севастополь',		44, 29,	33, 43),
  ('Сімферополь',		44, 55,	34, 13),
  ('Суми',			50, 58,	34, 52),
  ('Тернопіль',			49, 37,	25, 47),
  ('Ужгород',			48, 40,	22, 30),
  ('Фастів',			50, 05,	30, 03),
  ('Феодосія',			45, 02,	35, 31),
  ('Харків',			50, 02,	36, 14),
  ('Херсон',			46, 40,	32, 42),
  ('Хмельницький',		49, 26,	27, 06),
  ('Хуст',			48, 11,	23, 40),
  ('Черкаси',			49, 27,	32, 03),
  ('Чернігів',			51, 29,	31, 22),
  ('Чернівці',			48, 16,	26, 07),
  ('Ялта',			44, 26,	34, 19);
UNLOCK TABLES;
/*!40000 ALTER TABLE City ENABLE KEYS */;

/*
Географічні координати міст України
№
п/п
Місто Широта Довгота Різниця між київським та
місцевим часом
градуси години взимку влітку
1 Вінниця 49°14´ 28°30´ 1 год 54 хв -0 год 06 хв -1 год 06 хв
2 Дніпропетровськ 48°30´ 35°05´ 2 год 20 хв +0 год 20 хв -0 год 40 хв
3 Донецьк 47°59´ 37°45´ 2 год 31 хв +0 год 31 хв -0 год 29 хв
4 Житомир 50°16´ 28°40´ 1 год 55 хв -0 год 05 хв -1 год 05 хв
5 Запоріжжя 47°58´ 35°15´ 2 год 21 хв +0 год 21 хв -0 год 39 хв
6 Івано-Франківськ 48°56´ 24°45´ 1 год 39 хв -0год 21 хв -1 год 21 хв
7 Кишинів 50°27´ 30°30´ 2 год 02 хв +0 год 02 хв -0 год 58 хв
8 Кіровоград 48°30´ 32°15´ 2 год 09 хв +0 год 09 хв -0 год 51 хв
9 Луганськ 48°35´ 39°15´ 2 гол 37 хв +0 год 37 хв -0 год 23 хв
10 Луцьк 50°45´ 25°15´ 1 год 41 хв -0 год 19 хв -1 год 19 хв
11 Львів 49°51´ 24°02´ 1 год 36 хв -0 год 24 хв -1 год 24 хв
12 Миколаїв 46°58´ 32°00 2 год 08 хв +0 год 08 хв -0 год 52 хв
13 Одеса 46°28´ 30°45´ 2 год 03 хв +0 год 03 хв -0 год 57 хв
14 Полтава 49°36´ 34°34´ 2 год 18хв +0 год 18 хв -0 год 42 хв
15 Рівне 50°35´ 26°00´ 1 год 44 хв -0 год 16 хв -1 год 16 хв
16 Сімферополь 44°58´ 34°06´ 2 год 16 хв +0 год 16 хв -0 год 44 хв
17 Суми 50°53´ 34°45´ 2 год 19 хв +0 год 19 хв -0 год 41 хв
18 Тернопіль 49°34´ 25°30´ 1 год 42 хв -0 год 18 хв -1 год 18 хв
19 Ужгород 48°38´ 22°15´ 1 год 24 хв -0 год 31 хв -1 год 31 хв
20 Харків 50°00 36°13´ 2 год 25 хв +0 год 25 хв -0 год 35 хв
21 Херсон 46°38´ 32°30´ 2 год 10 хв +0 год 10 хв -0 год 50 хв
22 Хмельницький 49°24´ 27°00 1 год 48хв -0 год 12 хв -1 год 12 хв
23 Черкаси 49°27´ 32°00 2 год 08 хв +0 год 08 хв -0 год 52 хв
24 Чернівці 48°17´ 25°57´ 1 год 44 хв -0 год 16 хв -1 год 16 хв
25 Чернігів 51°29´ 31°18´ 2 год 05 хв +0 год 05 хв -0 год 55 хв
*/